Name:		ovirt-engine-build-dependencies
Version:	4.5.7
Release:	0.202411140732.git58c74a4%{?dist}
Summary:	oVirt Engine Build Dependencies
Group:		%{ovirt_product_group}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source0:	%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	tar
BuildRequires:	maven
BuildRequires:	java-11-openjdk-devel

Requires:	javapackages-filesystem


%description
%{name} provides build dependencies for oVirt Engine, so it is possible to build it without internet access.


%prep
%setup -c -q


%build
%global _repository %{_builddir}/%{name}-%{version}/repository

# Build engine project to download all dependencies to the local maven repo
cd %{_builddir}/%{name}-%{version}/ovirt-engine
mvn \
    clean \
    install \
    -P gwt-admin \
    --no-transfer-progress \
    -Dgwt.userAgent=gecko1_8 \
    -Dgwt.compiler.localWorkers=1 \
    -Dgwt.jvmArgs='-Xms1G -Xmx3G' \
    -Dmaven.repo.local=%{_repository}

# Install additional dependencies
cd %{_builddir}/%{name}-%{version}
for dep in $(cat ADDITIONAL_DEPENDENCIES); do
    mvn dependency:get -Dartifact=${dep} -Dmaven.repo.local=%{_repository}
done

rm -rf %{_repository}/org/ovirt/engine/api/common-parent
rm -rf %{_repository}/org/ovirt/engine/api/interface
rm -rf %{_repository}/org/ovirt/engine/api/interface-common-jaxrs
rm -rf %{_repository}/org/ovirt/engine/api/restapi-apidoc
rm -rf %{_repository}/org/ovirt/engine/api/restapi-definition
rm -rf %{_repository}/org/ovirt/engine/api/restapi-jaxrs
rm -rf %{_repository}/org/ovirt/engine/api/restapi-parent
rm -rf %{_repository}/org/ovirt/engine/api/restapi-types
rm -rf %{_repository}/org/ovirt/engine/api/restapi-webapp
rm -rf %{_repository}/org/ovirt/engine/build-tools-root
rm -rf %{_repository}/org/ovirt/engine/checkstyles
rm -rf %{_repository}/org/ovirt/engine/core
rm -rf %{_repository}/org/ovirt/engine/engine-server-ear
rm -rf %{_repository}/org/ovirt/engine/extension
rm -rf %{_repository}/org/ovirt/engine/make
rm -rf %{_repository}/org/ovirt/engine/ovirt-checkstyle-extension
rm -rf %{_repository}/org/ovirt/engine/ovirt-findbugs-filters
rm -rf %{_repository}/org/ovirt/engine/root
rm -rf %{_repository}/org/ovirt/engine/ui


%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -a repository %{buildroot}%{_datadir}/%{name}/


%files
%{_datadir}/%{name}


%changelog
* Thu Nov 30 2022 Martin Perina <mperina@redhat.com> - 4.5.5-1
- Package dependencies for ovirt-engine 4.5.5

* Thu Nov 24 2022 Martin Perina <mperina@redhat.com> - 4.5.4-1
- Package dependencies for ovirt-engine 4.5.4

* Thu Sep 08 2022 Martin Perina <mperina@redhat.com> - 4.5.3-1
- Initial packaging of build dependencies for oVirt Engine 4.5.3
